/*
 * ボス初期化
 */
void
bossinit()
	{
	int	i,j;

	for ( i = 0 ; i < MAXENEMY ; i++ )
		{
		if ( enemy[i].flag == 0 )
			{
			enemy[i].flag = 1;
			enemy[i].type = 99;
			if ( stage == 0 )
				{
				// 1面ボス
				oe[i].geometryTop = model9;
				oe[i].geometryLength = sizeof(model9) / sizeof(int);
				oe[i].material = NULL;
				enemy[i].x = 3 * MAPSTEP;
				enemy[i].y = FSY - 0x10;
				enemy[i].z = FSZ/4 + 0x80;
				enemy[i].xspeed = 0;
				enemy[i].yspeed = -0x02;
				enemy[i].zspeed = 0;
				enemy[i].score = 10000;
				enemy[i].xsize = 0x80;
				enemy[i].ysize = 0x80;
				enemy[i].zsize = 0x80;
				enemy[i].hp = 160;
				enemy[i].deg = 0;
				}
			else if ( stage == 1 )
				{
				// 2面ボス
				oe[i].geometryTop = model10;
				oe[i].geometryLength = sizeof(model10) / sizeof(int);
				oe[i].material = NULL;
				enemy[i].x = 3 * MAPSTEP;
				enemy[i].y = FSY - 0x10;
				enemy[i].z = FSZ/3;
				enemy[i].xspeed = 0;
				enemy[i].yspeed = -0x2;
				enemy[i].zspeed = 0;
				enemy[i].score = 10000;
				enemy[i].xsize = 0x80;
				enemy[i].ysize = 0x80;
				enemy[i].zsize = 0x80;
				enemy[i].hp = 180;
				enemy[i].deg = 0;
				}
			else
				{
				// ラスボス
				oe[i].geometryTop = model14;
				oe[i].geometryLength = sizeof(model14) / sizeof(int);
				oe[i].material = NULL;
				enemy[i].x = 3 * MAPSTEP;
				enemy[i].y = FSY - 0x10;
				enemy[i].z = FSZ/3;
				enemy[i].xspeed = 0;
				enemy[i].yspeed = -0x2;
				enemy[i].zspeed = 0;
				enemy[i].score = 10000;
				enemy[i].xsize = 0x80;
				enemy[i].ysize = 0x80;
				enemy[i].zsize = 0x80;
				enemy[i].hp = 200;
				enemy[i].deg = 0;
				}
			bossflag = 1;
			break;
			}
		}
	}
